Page MenuHomePhabricator

Merge Interface Editor userrights to Interface Administrator, and remove Interface Editor from ja.wp
Closed, ResolvedPublic

Description

Please add the below rights to local "interface administrator" group at jawiki.

  • ipblock-exempt
  • editprotected
  • editsemiprotected
  • editsitejson
  • delete
  • suppressredirect

And please remove local "interface editor" group.
(Merge IFE to IFA. IFE is no longer needed. )

Local consensus:
ja:Wikipedia:井戸端/subj/インターフェース管理者への完全移行提案/投票

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2019, 4:31 PM
Tulsi_Bhagat triaged this task as Normal priority.
Tulsi_Bhagat moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.
Aldnonymous updated the task description. (Show Details)Apr 27 2019, 5:09 PM
Aldnonymous renamed this task from Request fot add userrights to interface administrator at jawiki to Request to merge Interface Editor userrights to Interface Administrator, and remove Interface Editor from ja.wp.Apr 27 2019, 5:17 PM
RhinosF1 updated the task description. (Show Details)Apr 27 2019, 5:52 PM
Dcljr renamed this task from Request to merge Interface Editor userrights to Interface Administrator, and remove Interface Editor from ja.wp to Merge Interface Editor userrights to Interface Administrator, and remove Interface Editor from ja.wp.Apr 27 2019, 8:11 PM
Dcljr updated the task description. (Show Details)
Tulsi_Bhagat reassigned this task from Tulsi_Bhagat to Rxy.Apr 29 2019, 5:39 AM
Tulsi_Bhagat added a subscriber: Tulsi_Bhagat.

As per IRC coordination. ;)

Restricted Application added a project: User-Rxy. · View Herald TranscriptApr 29 2019, 5:39 AM
Rxy moved this task from Backlog to SWAT deploy on the User-Rxy board.Apr 29 2019, 5:40 AM

Change 506939 had a related patch set uploaded (by Rxy; owner: Rxy):
[operations/mediawiki-config@master] Merge interface-editor to interface-admin at jawiki

https://gerrit.wikimedia.org/r/506939

Rxy added a comment.Apr 29 2019, 6:08 AM

I scheduled SWAT deploy in Monday, April 29 11:00–12:00 UTC European Mid-day SWAT

Also interface-admin is already holding editsitejson permission. I omitted to re-assigned that.

Change 506939 merged by jenkins-bot:
[operations/mediawiki-config@master] Merge interface-editor to interface-admin at jawiki

https://gerrit.wikimedia.org/r/506939

Mentioned in SAL (#wikimedia-operations) [2019-04-29T11:21:45Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit|506939| (T222018)]] (duration: 00m 53s)

Tulsi_Bhagat closed this task as Resolved.Apr 29 2019, 11:44 AM